## org.jfree.report.expressions.formula.sys
Class AttrFunction

    java.lang.Object
      org.jfree.report.expressions.formula.sys.AttrFunction

All Implemented Interfaces:
  java.io.Serializable, org.pentaho.reporting.libraries.formula.function.Function

    public class AttrFunction

extends java.lang.Object
implements org.pentaho.reporting.libraries.formula.function.Function

Creation-Date: 24.11.2006, 13:02:41

Author:
  Thomas Morgner
See Also:
  Serialized Form

Constructor Summary
`AttrFunction()`

Method Summary
`org.pentaho.reporting.libraries.formula.lvalues.TypeValuePair` `evaluate(org.pentaho.reporting.libraries.formula.FormulaContext context, org.pentaho.reporting.libraries.formula.function.ParameterCallback parameters)`
`java.lang.String` `getCanonicalName()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AttrFunction

    public AttrFunction()

Method Detail

### getCanonicalName

    public java.lang.String getCanonicalName()

  Specified by:
    `getCanonicalName` in interface `org.pentaho.reporting.libraries.formula.function.Function`

### evaluate

    public org.pentaho.reporting.libraries.formula.lvalues.TypeValuePair evaluate(org.pentaho.reporting.libraries.formula.FormulaContext context,
                                                                                  org.pentaho.reporting.libraries.formula.function.ParameterCallback parameters)
                                                                           throws org.pentaho.reporting.libraries.formula.EvaluationException

  Specified by:
    `evaluate` in interface `org.pentaho.reporting.libraries.formula.function.Function`
  Throws:
    `org.pentaho.reporting.libraries.formula.EvaluationException`